#ifndef OSFUN_H
#define OSFUN_H

/* macdialogs1.c */
extern DialogItemData *GetDialogItemData(),
  FindItemData();
extern void truncateListEntry(),
  check_alloc(),
  convert_newlines();

/* macdialogs2.c */
extern void doDialog(),
  closeDialog(),
  activateDialog(),
  clobberDialog();

/* maciviewwindow.c */
extern Rect scroll_bar_bounds();
extern void graph_update_action(),
  DrawGWGrowBox(),
  graph_activate_action(),
  mac_do_cursor();

/* maciviewwindow.c */
extern void SetHardwareState();

/* maciviewwindow2.c */
extern void set_fore_color(),
  set_back_color();

/* maciviewwindow3.c */
extern void reset_clip_rect(),
  initialize_static_globals(),
  adjust_graph_workport();

/* macmenus.c */
extern LVAL get_menu_by_hardware(),
  xsapple_menu_isnew(),
  xsapple_menu_select(),
  xsabout_xlisp_stat();

/* macstuff.c */
extern void osinit(),
  osfinish(),
  oserror();
extern FILE *osaopen(),
  osbopen();
extern int osclose(),
  osagetc(),
  osbgetc(),
  osaputc(),
  osbputc(),
  ostgetc(),
  filter_char(),
  osputc();
extern void oscheck(),
  osflush(),
  ossymbols(),
  osfinit(),
  osreset(),
  MyShowWindow(),
  waitforline(),
  getttyline(),
  set_gc_cursor();
extern int max(),
  min(),
  is_small_machine();
extern void maximum_memory();
extern unsigned long ticks_per_second(),
  run_tick_count(),
  real_tick_count();
extern void get_directory();

/* macwindows.c */
extern LVAL get_window_object();
extern void set_window_object(),
  mac_update_action(),
  mac_activate_action(),
  mac_close_action();

/* macxsgraph.c */
extern LVAL xspick_color();

#endif OSFUN_H
